Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-4800

Clarify version requirements for Java bundles/Legal issues with JSON

    Details

      Description

      Most Linux distributions avoid bundling software by policy.

      For the Java gateway you currently bundle:

      • logback 0.9.27
      • slf4j 1.6.1
      • A JSON snapshot from late 2010

      Please clarify which versions of these packages will work for Zabbix, so distributors know whether they can ship the gateway.

      Also notice, that Fedora legal found json non-free:

      http://pkgs.fedoraproject.org/gitweb/?p=json.git;a=commitdiff;h=4cc8674a9a4de2a7e143aa5695004b6013abb75e

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              volter Volker Fröhlich
            • Votes:
              13 Vote for this issue
              Watchers:
              15 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: